# VecSetType

Builds a vector, for a particular vector implementation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PETSCVEC_DLLEXPORT VecSetType(Vec vec, VecType method)

Collective on Vec

### Input Parameters

| vec | - The vector object
| method | - The name of the vector type

### Options Database Key

-vec_type <type> -Sets the vector type; use -help for a list of available types

### Notes

See "petsc/include/petscvec.h" for available vector types (for instance, VECSEQ, VECMPI, or VECSHARED).

Use VecDuplicate() or VecDuplicateVecs() to form additional vectors of the same type as an existing vector.

### Keywords

vector, set, type

### See Also

VecGetType(), VecCreate()

Level:intermediate
Location: src/vec/vec/interface/vecreg.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex17.c.html
src/snes/examples/tutorials/ex33f.F.html